package com.example.takeawaysystemserver.entity;

import jakarta.annotation.Nullable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author Ethereal
 * @date 2024/7/7
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Dish {
    private String id;
    /**
     * 商家的ID
     */
    private String shopId;
    /**
     * 分类名
     */
    private String group;
    /**
     * 菜品名
     */
    private String name;
    /**
     * 价格（分）
     */
    private Integer price;
    /**
     * 销量
     */
    private Integer sellCount;
    /**
     * 图片链接
     */
    @Nullable
    private String image;
    /**
     * 子选项
     * [key: 类型，如“辣度选择”] : [value: 子选项，如["微辣"]]
     */
    @Nullable
    private Map<String, String[]> subOptions;
}
