package com.example.takeawaysystemserver.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Ethereal
 * @date 2024/7/7
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Order {
    private String id;
    private String userId;
    private String shopId;
    /**
     * 订单项
     */
    private List<OrderItem> items;
    /**
     * 总价（分）
     */
    private Integer price;
    /**
     * - 0 已取消
     * - 1 配送中
     * - 2 已完成
     */
    private Integer status;
    /**
     * 送餐地址
     */
    private String address;
    /**
     * Unix 时间戳
     */
    private Long createTime;
    private Long updateTime;
}
