package com.example.takeawaysystemserver.entity;

import jakarta.annotation.Nullable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author spyn
 * @date 2024/7/10
 * @description 订单内的子项
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderItem {
    private String dishId;
    @Nullable
    private Dish dish;
    private String orderId;
    /**
     * 购买份数
     */
    private Integer count;
    private Integer price;
    /**
     * 子选项
     * [key: 类型，如“辣度选择”] : [value: 子选项，如"微辣"]
     * 注意这里value是String，而不是String[]，和Dish中的subOptions不同
     */
    @Nullable
    private Map<String, String> options;
}
