package com.example.takeawaysystemserver.entity;

import jakarta.annotation.Nullable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

/**
 * @author Ethereal
 * @date 2024/7/7
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Shop {
    private String id;
    private String name;
    /**
     * 评分（暂且不做评论系统，这里写死）
     */
    private Float point;
    /**
     * 销量
     */
    private Integer sellCount;
    /**
     * - 0 被删除
     * - 1 营业中
     * - 2 休息中
     */
    private Integer status;
    /**
     * 开店和闭店时间，格式为HH:mm:ss
     */
    private String openTime;
    private String closeTime;
    /**
     * 店铺地址（字符串）
     */
    private String address;
    /**
     * APP首页展示的菜品（最多3份）
     */
    @Nullable
    private List<Dish> displayedDishes;
    /**
     * 店铺的icon
     */
    @Nullable
    private String image;
    /**
     * 菜品分类
     * [key: 分类名] : [value: 菜品列表]
     */
    @Nullable
    private Map<String, Dish[]> groups;
}
